﻿Public Class Form1
    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        MyBase.OnLoad(e)

        Me.radioButton1.Checked = True
    End Sub

    ' ふりがなテキストボックスコントロールのふりがなを取得するイベント
    Private Sub phoneticTextBox1_Phonetic(ByVal sender As System.Object, ByVal e As Man.Windows.Forms.PhoneticTextBoxPhoneticEventArgs) Handles phoneticTextBox1.Phonetic
        ' 入力確定されたふりがなを取得
        Dim phonetic As String = e.Phonetic
        ' ふりがなを設定するテキストボックスにふりがなを追加
        Me.textBox1.Text = Me.textBox1.Text + phonetic
        ' 取得したふりがな
        Me.label4.Text = phonetic
    End Sub

    ' ふりがなテキストボックスコントロールのテキストがすべてクリアされた時のイベント
    Private Sub phoneticTextBox1_TextClear(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles phoneticTextBox1.TextClear
        Me.textBox1.Text = ""
    End Sub

    ' ふりがなのスタイルを設定する
    Private Sub radioButton_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radioButton1.CheckedChanged, radioButton2.CheckedChanged, radioButton3.CheckedChanged
        If (Me.radioButton1.Checked) Then
            ' ひらがな
            Me.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.Hiragana
        End If
        If (Me.radioButton2.Checked) Then
            ' カタカナ
            Me.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.Katakana
        End If
        If (Me.radioButton3.Checked) Then
            ' 半角カタカナ
            Me.phoneticTextBox1.PhoneticStyle = Man.Windows.Forms.PhoneticTextBoxPhoneticStyle.KatakanaHalf
        End If

    End Sub
End Class
